Imposible evitar actualizacion FF ESR

Utilizar el navegador Mozilla Firefox
Avatar de Usuario
Tomeu
Moderador
Moderador
Mensajes: 3727
Registrado: Jue Dic 09, 2004 5:52 pm
Ubicación: A sa roquete

Imposible evitar actualizacion FF ESR

Mensajepor Tomeu » Jue Oct 04, 2018 3:51 pm

Por necesidad de utilizar el plugin NPAPI de java con certificados digitales en determinadas paginas tengo una versión de firefox ESR, hasta la fecha 52.x.x. en un pc y la 45.x.x. en otro
La versión 60 ESR ya no admite java, por lo que no me interesa de ninguna manera actualizar a esa, y así lo he tenido desde hace bastante tiempo.
El tema es que hoy, en el FF 45ESR se ha actualizado automáticamente aunquen tenía marcado que no lo hiciera. He reinstalado tanto esa versión como la 52, y aunque configuro que no se actualice el programa lo hace de todas maneras a la 60; al reiniciar ya tengo la 60.
La elimino e Instalo de nuevo, con nuevo perfil, lo primero que hago es desmarcar las actualizaciones automáticas, y aun así se actualiza a la 60 ESR
Hasta he probado navegadores alternativos que admitan java, como seamonkey y palemoon, pero en estos tras instalar el dnie electrónico y certificados, no navegan por páginas https y se quedan congelados.
Hasta que la administración haga unas páginas dignas sin necesidad de java necesito un firefox que lo permita y no se actualice.
Uso linux; L.Mint 64 bits (ver 19.0 tara -ft. Ubuntu bionic 18.04-)
Gracias.

Avatar de Usuario
ElTxolo
Moderador
Moderador
Mensajes: 9218
Registrado: Sab Feb 19, 2005 5:48 pm
Ubicación: Localhost
Contactar:

Re: Imposible evitar actualizacion FF ESR

Mensajepor ElTxolo » Jue Oct 04, 2018 7:08 pm

Tomeu escribió:Por necesidad de utilizar el plugin NPAPI de java con certificados digitales en determinadas paginas tengo una versión de firefox ESR, hasta la fecha 52.x.x. en un pc y la 45.x.x. en otro
La versión 60 ESR ya no admite java, por lo que no me interesa de ninguna manera actualizar a esa, y así lo he tenido desde hace bastante tiempo.
El tema es que hoy, en el FF 45ESR se ha actualizado automáticamente aunquen tenía marcado que no lo hiciera. He reinstalado tanto esa versión como la 52, y aunque configuro que no se actualice el programa lo hace de todas maneras a la 60; al reiniciar ya tengo la 60.
La elimino e Instalo de nuevo, con nuevo perfil, lo primero que hago es desmarcar las actualizaciones automáticas, y aun así se actualiza a la 60 ESR

    Imagen Personalmente todos los navegadores, los instalo de forma manual, y los dejo siempre en opt.

    Así, aunque haya cualquier actualización, el programa NO puede actualizarse solo. Obligatoriamente, la tengo que hacer yo,
    de manera manual. Es una opción alternativa, que puedes tener en cuenta.


      Imagen


    En el caso de que uses los paquetes de la distribución (algo que dudo) al leer tu mensaje previo. :-P
    Puedes evitar la actualización usando hold:

    Código: Seleccionar todo

    sudo apt-mark hold [package]



    Otras opciones para evitar las actualizaciones, son modificar el archivo channel-prefs.js y/o utilizar el fichero mozilla.cfg.
    Lo puedes ver en este hilo de MozillaZine ...

    Espero que, te pueda servir. ;)








    Un Saludo. Imagen
ImagenImagen

Imagen
Imagen Imagen
Cómo hacer preguntas inteligentes ;)

[Mozilla/5.0 (X11; Linux x86_64; en-US; rv:52.0) Gecko/20180711 SeaMonkey/2.49.4]
[Mozilla/5.0 (X11; Linux x86_64; en-US; rv:54.0) Gecko/20170619 SeaMonkey/2.51]

Avatar de Usuario
Tomeu
Moderador
Moderador
Mensajes: 3727
Registrado: Jue Dic 09, 2004 5:52 pm
Ubicación: A sa roquete

Re: Imposible evitar actualizacion FF ESR

Mensajepor Tomeu » Vie Oct 05, 2018 9:12 am

ElTxolo escribió:Personalmente todos los navegadores, los instalo de forma manual, y los dejo siempre en opt.

Así, aunque haya cualquier actualización, el programa NO puede actualizarse solo. Obligatoriamente, la tengo que hacer yo,
de manera manual. Es una opción alternativa, que puedes tener en cuenta.

Es una muy buena idea; pero no me sirve porque en una página en concreto a la hora de firmar digitalmente si el navegador lo tengo en una carpeta que necesita permisos especiales como /opt suele fallar, con lo que la solución "chusca" es tener el navegador en una carpeta de usuario.
ElTxolo escribió:En el caso de que uses los paquetes de la distribución (algo que dudo) al leer tu mensaje previo. :-P
Puedes evitar la actualización usando hold:

Código: Seleccionar todo

sudo apt-mark hold [package]

Lo cierto es que uso dos versiones de Firefox, la que viene con los repositorios de la distribución y que está actualizada (según vaya saliendo; escasos días respecto del ftp de mozilla) con su propio perfil y para navegar habitualmente, y otra (ESR, en una máquina 45 y en otra 52 porque necesita java, por tanto FF 60 ESR no me sirve) con su perfil separado "-P perfil -no-remote" y solo para esas páginas en que tengo que usar java.
ElTxolo escribió: Otras opciones para evitar las actualizaciones, son modificar el archivo channel-prefs.js y/o utilizar el fichero mozilla.cfg.
Lo puedes ver en este hilo de MozillaZine ...
Espero que, te pueda servir. ;)
Un Saludo. Imagen[/list]

Muchas gracias, lo leeré con más calma si se vuelve a dar el problema, por ahora lo he arreglado. El tema era el siguiente:
1º.- Como el perfil había quedado corrompido, lo eliminé (me refiero solo al perfil para la versión ESR)
2º.- Volvía a instalar FF ESR, al lanzarlo lo hice con -P y creé un perfil nuevo.
3º.- Tras esas actualizaciones que se me imponían forzadas y que daban al traste todas las configuraciones, lo primero fue marcar que no se actualizara desde las preferencias, avanzado, actualizaciones.
4º.- Al reiniciar, eso no servía de nada y FF aparecía actualizado a la versión 60 ESR, y por tanto Quantum y sin java.
Lo que hice seguidamente fue poner este post de ayuda y, probar, lo siguiente:
5º.- Sin eliminar el perfil, borré la instalación de FF ESR (actualizada a 60) y volví a desempaquetar el tar.bz2 de la versión anterior.
Y ya no actualiza ;)
Un saludo

Avatar de Usuario
ElTxolo
Moderador
Moderador
Mensajes: 9218
Registrado: Sab Feb 19, 2005 5:48 pm
Ubicación: Localhost
Contactar:

Re: Imposible evitar actualizacion FF ESR

Mensajepor ElTxolo » Vie Oct 05, 2018 10:33 am

    De nada!! ... tomeu Imagen








    Un Saludo. Imagen
ImagenImagen

Imagen
Imagen Imagen
Cómo hacer preguntas inteligentes ;)

[Mozilla/5.0 (X11; Linux x86_64; en-US; rv:52.0) Gecko/20180711 SeaMonkey/2.49.4]
[Mozilla/5.0 (X11; Linux x86_64; en-US; rv:54.0) Gecko/20170619 SeaMonkey/2.51]


Volver a “Mozilla Firefox”

¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 1 invitado